Name:          forbidden-apis
Version:       1.7
Release:       %mkrel 6
Summary:       Generics Policeman's Forbidden API check

Group:         Development/Java
License:       ASL 2.0
URL:           http://code.google.com/p/forbidden-apis/
BuildArch:     noarch

Source0:       https://oss.sonatype.org/content/repositories/releases/de/thetaphi/forbiddenapis/%{version}/forbiddenapis-%{version}-sources.jar

# Customized pom file
# Add build/test deps
# Add maven plugins configuration
Source1:       %{name}-pom.xml

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: ant
BuildRequires: objectweb-asm >= 5
BuildRequires: dos2unix

BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)

Requires: objectweb-asm >= 5
Requires: java-headless




%description
This project implements the ANT task (+ Maven Mojo) announced in the Generics
Policeman Blog. It checks Java byte code against a list of "forbidden" API
signatures. 
Allows to parse Java byte code to find invocations of method/class/field
signatures and fail build (Apache Ant, Apache Maven, or CLI).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n forbiddenapis-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete
dos2unix LICENSE.txt
dos2unix NOTICE.txt
dos2unix README.txt

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject pom:project "<version>%{version}</version>"

%build

%mvn_file ":%{name}" %{name}
# Skip test: 
# - Demo2 needs JDK8 to compile
# - Not able to run test with maven, requires itself
%mvn_build -f

%install
%mvn_install

mkdir -p %{buildroot}%{_sysconfdir}/ant.d
echo "ant commons-cli %{name} maven/maven-plugin-api maven-plugin-tools/maven-plugin-annotations objectweb-asm/asm objectweb-asm/asm-commons plexus/utils" > %{name}-ant
install -pm 644 %{name}-ant %{buildroot}%{_sysconfdir}/ant.d/%{name}

%files -f .mfiles
%config(noreplace) %{_sysconfdir}/ant.d/%{name}
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Wed May 17 2017 neoclust <neoclust> 1.7-6.mga6
+ Revision: 1102544
- Fix BuildRequires
- Add missing BuildRequires to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 1.7-5.mga6
+ Revision: 982562
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.7-4.mga6
+ Revision: 976218
- First rebuild of the java stack
- sync package forbidden-apis with fedora
- imported package forbidden-apis


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 03 2015 Zdenek Zambersky <zzambers@redhat.com> 1.7-1
- updated to version 1.7
- version tag in custom pom.xml is now generated automaticaly
* Fri Oct 11 2013 gil cattaneo <puntogil@libero.it> 1.3-1
- initial rpm
